## visad.data.dods
Class StringVariableAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.VariableAdapter
              visad.data.dods.StringVariableAdapter

public class StringVariableAdapter
extends VariableAdapter

Provides support for adapting DODS `DString` variables to the VisAD data-import context.

Instances are immutable.

Method Summary
`DataImpl` `data(DString var, boolean copy)` Returns the VisAD `DataImpl` corresponding to a DODS `DString`.
`MathType` `getMathType()` Returns the VisAD `MathType` of this instance.
`static StringVariableAdapter` `stringVariableAdapter(DString var, DAS das)` Returns an instance of this class corresponding to a DODS `DString`.

Methods inherited from class visad.data.dods.VariableAdapter
`data, data, data, data, data, data, data, data, data, data, data, data, data, data, getRepresentationalSets, mathType`

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### stringVariableAdapter

    public static StringVariableAdapter stringVariableAdapter(DString var,
                                                              DAS das)
                                                       throws VisADException

  Returns an instance of this class corresponding to a DODS `DString`.

  Parameters:
    `var` - The DODS variable. Only the DODS metadata is used: the variable needn't have any actual data.
    `das` - The DODS DAS in which the attribute table for the DODS variable is embedded.
  Returns:
    An instance of this class corresponding to the input arguments.
  Throws:
    `VisADException` - VisAD failure.

### getMathType

    public MathType getMathType()

  Returns the VisAD `MathType` of this instance.

  Specified by:
    `getMathType` in class `VariableAdapter`
  Returns:
    The MathType of this instance.

### data

    public DataImpl data(DString var,
                         boolean copy)
                  throws VisADException

  Returns the VisAD `DataImpl` corresponding to a DODS `DString`.

  Overrides:
    `data` in class `VariableAdapter`
  Parameters:
    `var` - The DODS variable to have the corresponding VisAD data object returned. The variable must be compatible with the variable used to construct this instance.
    `copy` - If true, then data values are copied.
  Returns:
    The VisAD data object of this instance. The class of the object will be `Text`. The VisAD `MathType` of the data object will be based on the DODS variable used during construction of this instance.
  Throws:
    `VisADException` - VisAD failure. Possibly the variable wasn't compatible with the variable used to construct this instance.